Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.field.contenttype.parser
Class ContentTypeParser

    java.lang.Object
      org.apache.james.mime4j.field.contenttype.parser.ContentTypeParser

All Implemented Interfaces:
  ContentTypeParserConstants

    public class ContentTypeParser

extends java.lang.Object
implements ContentTypeParserConstants

Field Summary
`Token` | `jj_nt`
`Token` | `token`
`ContentTypeParserTokenManager` | `token_source`

Fields inherited from interface org.apache.james.mime4j.field.contenttype.parser.ContentTypeParserConstants
`ANY, ATOKEN, COMMENT, DEFAULT, DIGITS, EOF, INCOMMENT, INQUOTEDSTRING, NESTED_COMMENT, QUOTEDPAIR, QUOTEDSTRING, tokenImage, WS`

Constructor Summary
`ContentTypeParser(ContentTypeParserTokenManager tm)`
`ContentTypeParser(java.io.InputStream stream)`
`ContentTypeParser(java.io.InputStream stream, java.lang.String encoding)`
`ContentTypeParser(java.io.Reader stream)`

Method Summary
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`java.util.ArrayList` | `getParamNames()`
`java.util.ArrayList` | `getParamValues()`
`java.lang.String` | `getSubType()`
`Token` | `getToken(int index)`
`java.lang.String` | `getType()`
`static void` | `main(java.lang.String[] args)`
`void` | `parameter()`
`void` | `parse()`
`void` | `parseAll()`
`void` | `parseLine()`
`void` | `ReInit(ContentTypeParserTokenManager tm)`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)`
`void` | `ReInit(java.io.Reader stream)`
`java.lang.String` | `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public ContentTypeParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

Constructor Detail

### ContentTypeParser

    public ContentTypeParser(java.io.InputStream stream)

### ContentTypeParser

    public ContentTypeParser(java.io.InputStream stream,
                             java.lang.String encoding)

### ContentTypeParser

    public ContentTypeParser(java.io.Reader stream)

### ContentTypeParser

    public ContentTypeParser(ContentTypeParserTokenManager tm)

Method Detail

### getType

    public java.lang.String getType()

### getSubType

    public java.lang.String getSubType()

### getParamNames

    public java.util.ArrayList getParamNames()

### getParamValues

    public java.util.ArrayList getParamValues()

### main

    public static void main(java.lang.String[] args)
                     throws ParseException

  Throws:
    `ParseException`

### parseLine

    public final void parseLine()
                         throws ParseException

  Throws:
    `ParseException`

### parseAll

    public final void parseAll()
                        throws ParseException

  Throws:
    `ParseException`

### parse

    public final void parse()
                     throws ParseException

  Throws:
    `ParseException`

### parameter

    public final void parameter()
                         throws ParseException

  Throws:
    `ParseException`

### value

    public final java.lang.String value()
                                 throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.InputStream stream,
                       java.lang.String encoding)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(ContentTypeParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.